[Overview][Types][Classes][Variables][Index] | Reference for unit 'CustApp' (#fcl)

# TCustomApplication.EventLogFilter

Event to filter events, before they are sent to the system log

## Declaration

Source position: custapp.pp line 88

`public property TCustomApplication.EventLogFilter : TEventLogTypes read FEventLogFilter write FEventLogFilter;`

## Description

EventLogFilter can be set to a set of event types that should be logged to the system log. If the set is empty, all event types are sent to the system log. If the set is non-empty, the TCustomApplication.Log routine will check if the log event type is in the set, and if not, will not send the message to the system log.

## See also

TCustomApplication.Log |  | Write a message to the event log

Documentation generated on: Feb 26 2014